go-ring API Reference
OpenapiDevice Controls

Turn on a siren

Activates the siren on a doorbell device.

PUT
/clients_api/doorbots/{device_id}/siren_on

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Response Body

application/json

curl -X PUT "https://example.com/clients_api/doorbots/1/siren_on"
{  "started_at": "2025-01-01T00:00:00Z",  "ends_at": "2025-01-01T00:00:30Z",  "duration": 30,  "seconds_remaining": 30}